org.apache.cassandra.net

## Class MessageIn<T>

- java.lang.Object
- - org.apache.cassandra.net.MessageIn<T>

    public class MessageIn<T>
    extends java.lang.Object

### Field Summary

Fields
`java.net.InetAddress` `from`
`java.util.Map<java.lang.String,byte[]>` `parameters`
`T` `payload`
`MessagingService.Verb` `verb`
`int` `version`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <T> MessageIn<T>` `create(java.net.InetAddress from, T payload, java.util.Map<java.lang.String,byte[]> parameters, MessagingService.Verb verb, int version)`
`boolean` `doCallbackOnFailure()`
`Stage` `getMessageType()`
`long` `getTimeout()`
`boolean` `isFailureResponse()`
`static <T2> MessageIn<T2>` `read(java.io.DataInput in, int version, int id)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### from

    public final java.net.InetAddress from

#### payload

    public final T payload

#### parameters

    public final java.util.Map<java.lang.String,byte[]> parameters

#### verb

    public final MessagingService.Verb verb

#### version

    public final int version

### Method Detail

#### create

    public static <T> MessageIn<T> create(java.net.InetAddress from,
                                          T payload,
                                          java.util.Map<java.lang.String,byte[]> parameters,
                                          MessagingService.Verb verb,
                                          int version)

#### read

    public static <T2> MessageIn<T2> read(java.io.DataInput in,
                                          int version,
                                          int id)
                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### getMessageType

    public Stage getMessageType()

#### doCallbackOnFailure

    public boolean doCallbackOnFailure()

#### isFailureResponse

    public boolean isFailureResponse()

#### getTimeout

    public long getTimeout()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`